import { Dictionary } from '@salesforce/ts-types';
import { CommandClass, CommandParameterData } from '../utils.js';
import { Ditamap } from './ditamap.js';
type FlagInfo = {
    hidden: boolean;
    description: string;
    summary: string;
    required: boolean;
    kind: string;
    type: string;
    defaultHelpValue?: string;
    default: string | (() => Promise<string>);
};
export declare class Command extends Ditamap {
    private flags;
    private commandMeta;
    private commandName;
    constructor(topic: string, subtopic: string | null, command: CommandClass, commandMeta?: Record<string, unknown>);
    getParametersForTemplate(flags: Dictionary<FlagInfo>): Promise<CommandParameterData[]>;
    getTemplateFileName(): string;
    protected transformToDitamap(): Promise<string>;
}
export {};
