import { DitamapData } from '../utils.js';
export declare abstract class Ditamap {
    private filename;
    protected data: DitamapData;
    static SUFFIX: string;
    static templatesDir: string;
    static outputDir: string;
    static cliVersion: string;
    static plugins: Record<string, string>;
    static pluginVersions: Array<{
        name: string;
        version: string;
    }>;
    private static _suffix;
    protected destination: string;
    private readonly source;
    protected constructor(filename: string, data: DitamapData);
    static get suffix(): string;
    static set suffix(suffix: string);
    static file(name: string, ext: string): string;
    getFilename(): string;
    getOutputFilePath(): string;
    write(): Promise<void>;
    protected formatParagraphs(textToFormat?: string): string[];
    /**
     * Applies the named handlebars template to the supplied data
     *
     * @param data
     * @param templateName
     * @returns {object}
     */
    protected transformToDitamap(): Promise<string>;
    abstract getTemplateFileName(): string;
}
