/*
 * Copyright (c) 2018, salesforce.com, inc.
 * All rights reserved.
 * Licensed under the BSD 3-Clause license.
 * For full license text, see LICENSE.txt file in the repo root or https://opensource.org/licenses/BSD-3-Clause
 */
import { EventEmitter } from 'node:events';
import { EOL } from 'node:os';
export const events = new EventEmitter();
export function punctuate(description) {
    if (!description)
        return description;
    const lines = description.split(EOL);
    let mainDescription = lines[0];
    mainDescription = mainDescription.charAt(0).toUpperCase() + mainDescription.substring(1);
    if (!mainDescription.endsWith('.')) {
        mainDescription += '.';
    }
    return mainDescription;
}
export const replaceConfigVariables = (text, bin, id) => text.replace(/<%= config.bin %>/g, bin ?? 'unknown').replace(/<%= command.id %>/g, id);
//# sourceMappingURL=utils.js.map